<!DOCTYPE html>
<html>
<head>
<style>
h1{font-size: 50px}
h4{font-size: 50px}
p{font-size: 20px}
p.sansserifStd{font-family:Arial,Helvetica,sans-serif;}
p.sansserif{font-family:Arial,Helvetica,sans-serif; color: silver;}
p.centerData{font-family:Arial,Helvetica,sans-serif;text-align: center; color: lime;font-size: 12px}
h1.freqStyle {font-family:Arial,Helvetica,sans-serif;text-align: center; color: silver;}
h3 {font-family:Arial,Helvetica,sans-serif;text-align: center;color: silver;}
td { font-family:Arial,Helvetica,sans-serif; color:silver;font-size: 12px; text-align: center;}

.styleInput{   
    font-family:Arial,Helvetica,sans-serif;   
    font-size:20px;  
}

.styleButton{   
    font-family:Arial,Helvetica,sans-serif;   
    font-size:18px; 
    height:55px;	
    width:70px;	 	 
}

.stylePlayer{   
    font-family:Arial,Helvetica,sans-serif;   
    font-size:10px; 
    height:30px;	
    width:75px;	 	 
}

.styleButton2{   
    font-family:Arial,Helvetica,sans-serif;   
    font-size:18px; 
    height:30px;	  
}


</style>
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
</head>
<body onload="InitParam()">

<title>ELAD FDMS1 Sampler Server</title>
<LINK REL="SHORTCUT ICON" HREF="fdm.ico" />



<table border="1"  bgcolor=#121212>

<tr>
	<td colspan="6">
	<h3>ELAD FDM-S1</h3>
	</td>	
	<td align='center'>
	<a href="http://www.eladit.com">
	<img src="logo.png" alt="ELAD">
	</a>
	</td>
</tr>
<tr>
	<td align='center' colspan="1" rowspan="2">
		<table>
		<tr>
		<td width="100px">		
		<span  id="txtMode"></span>		
		</td>
		<td width="100px">		
		<span id="txtBW"></span>		
		<td width="100px">		
		<span id="txtStep"></span>		
		</td>
		</tr>  
		</table>
		<h1 class="freqStyle">
		<span id="txtMainFreq"></span>
		</h1>
	</td>
	<td align='center'>
		<button class="styleButton" onclick="BandSet('1840000')">160m</button>
	</td>
	<td align='center'>
		<button class="styleButton" onclick="BandSet('3650000')">80m</button>
	</td>
	<td align='center'>
		<button class="styleButton" onclick="BandSet('4905000')">60m</button>
	</td>
	<td align='center'>
		<button class="styleButton" onclick="SendCmd('STEPUP')">FREQ UP</button>
	</td>
	<td align='center'>
		<button class="styleButton" onclick="SendCmd('BWUP')">BW UP</button>
	</td>
	<td align='center'>
		<button class="styleButton" onclick="SendCmd('FREQSTEPUP')">STEP UP</button>
	</td>
</tr>
<tr>
	<td align='center'>
		<button class="styleButton" onclick="BandSet('6050000')">49m</button>
	</td>
	<td align='center'>
		<button class="styleButton" onclick="BandSet('7100000')">40m</button>
	</td>
	<td align='center'>
		<button class="styleButton" onclick="BandSet('10125000')">30m</button>
	</td>
	<td align='center'>
		<button class="styleButton" onclick="SendCmd('STEPDW')">FREQ DW</button>
	</td>
	<td align='center'>
		<button class="styleButton" onclick="SendCmd('BWDW')">BW DW</button>
	</td>
	<td align='center'>
		<button class="styleButton" onclick="SendCmd('FREQSTEPDW')">STEP DW</button>
	</td>
</tr>



<tr height="">
   <td rowspan="4">
		<img alt ="ELAD" src="plot.png" width="450" height="245" id="reloader" onload="setTimeout('document.getElementById(\'reloader\').src=\'plot.png?t=\'+new Date().getMilliseconds()', 300)"/></td>     
	<td align='center'>
		<button class="styleButton" onclick="BandSet('11850000')">25m</button>
	</td>
	<td align='center'>
		<button class="styleButton" onclick="BandSet('14175000')">20m</button>
	</td>
	<td align='center'>
		<button class="styleButton" onclick="BandSet('15450000')">19m</button>
	</td>
	<td colspan="3" rowspan="3">
	   <p>
	   Freq (Hz) <input  class="styleInput" type="text" id="txtFreqSet" size="9" onkeypress="setKeyPress(event)"/><br>
		</p>
		<p>
		Mode 
		<select class="styleInput" id="comboMode" onchange="GlobalSet()">
			<option value="CW">CW</option>
			<option value="CWSHplus">CW SH+</option>
			<option value="CWSHminus">CW SH-</option>
			<option value="USB">USB</option>
			<option value="LSB">LSB</option>
			<option value="AM">AM</option>
			<option value="FM">FM</option>
			<option value="DRM">DRM</option>
			<option value="WB FM">WB FM</option>
			<option value="SYNC AM">SYNC AM</option>
			<option value="DSB">DSB</option>
			<option value="RTTY">RTTY</option>
		</select>	<br>
	   </p>	 
	</td>
</tr> 
<tr>
	<td>
	  <button class="styleButton" onclick="BandSet('18118000')">17m</button>
	</td>
	<td>
	  <button class="styleButton" onclick="BandSet('21225000')">15m</button>
	</td>
	<td>
	  <button class="styleButton" onclick="BandSet('24940000')">12m</button>
	</td>
</tr>
<tr>
	<td>
		<button class="styleButton" onclick="BandSet('28850000')">10m</button>
	</td>
	<td>
		<button class="styleButton" onclick="BandSet('50500000')">6m</button>
	</td>
	<td>
	   <button class="styleButton" onclick="BandSet('145000000')">2m</button>
	</td>
</tr>

<tr>
	<td colspan="6">
	Local Time: <span id="txtLocalTime"></span>
	UTC Time: <span id="txtUtcTime"></span>
</tr>



</table>


<script>

function InitParam()
{
	GetParam();	
	InitMap();
}

function GetParam()
{	
	if (window.XMLHttpRequest)
	{// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp=new XMLHttpRequest();
	}
	else
	{// code for IE6, IE5
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange=function()
	{
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		{
			var resp=xmlhttp.responseText;	
			var resp_vector=resp.split(';');				
			document.getElementById("txtMainFreq").innerHTML=resp_vector[0];			
			document.getElementById("txtFreqSet").value=resp_vector[1];			
			document.getElementById("comboMode").value=resp_vector[2];	
			document.getElementById("txtMode").innerHTML=resp_vector[2];	
			document.getElementById("txtBW").innerHTML=resp_vector[3];	
			document.getElementById("txtStep").innerHTML=resp_vector[4];	
		}
	}
	xmlhttp.open("GET","writepipe.php?q=GETPARAM&v1=0&v2=0",true);
	xmlhttp.send();
}

function SendCmd(cmd)
{	
	if (window.XMLHttpRequest)
	{// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp=new XMLHttpRequest();
	}
	else
	{// code for IE6, IE5
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange=function()
	{
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		{
			var resp=xmlhttp.responseText;	
			var resp_vector=resp.split(';');
			document.getElementById("txtMainFreq").innerHTML=resp_vector[0];			
			document.getElementById("txtFreqSet").value=resp_vector[1];			
			document.getElementById("comboMode").value=resp_vector[2];	
			document.getElementById("txtMode").innerHTML=resp_vector[2];	
			document.getElementById("txtBW").innerHTML=resp_vector[3];	
			document.getElementById("txtStep").innerHTML=resp_vector[4];	
		}
	}
	xmlhttp.open("GET","writepipe.php?q="+cmd+"&v1=0&v2=0",true);
	xmlhttp.send();
}

 function setKeyPress(e)
{  
   if (typeof e == 'undefined' && window.event) { e = window.event; }
   if (e.keyCode == 13)
   {
      GlobalSet();	
		//document.getElementById("comboMode").focus();
   }
}


function GlobalSet()
{	
	if (window.XMLHttpRequest)
	{// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp=new XMLHttpRequest();
	}
	else
	{// code for IE6, IE5
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange=function()
	{
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		{
			var resp=xmlhttp.responseText;	
			var resp_vector=resp.split(';');
			document.getElementById("txtMainFreq").innerHTML=resp_vector[0];			
			document.getElementById("txtFreqSet").value=resp_vector[1];			
			document.getElementById("comboMode").value=resp_vector[2];	
			document.getElementById("txtMode").innerHTML=resp_vector[2];	
			document.getElementById("txtBW").innerHTML=resp_vector[3];	
			document.getElementById("txtStep").innerHTML=resp_vector[4];	
			document.location.reload(true);
		}
	}
	var freq=document.getElementById("txtFreqSet").value;
	var mode=document.getElementById("comboMode").value;
	xmlhttp.open("GET","writepipe.php?q=GLOBALSET&v1="+freq+"&v2="+mode,true);
	xmlhttp.send();
}

function BandSet(freq)
{	
	if (window.XMLHttpRequest)
	{// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp=new XMLHttpRequest();
	}
	else
	{// code for IE6, IE5
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange=function()
	{
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		{
			var resp=xmlhttp.responseText;	
			var resp_vector=resp.split(';');
			document.getElementById("txtMainFreq").innerHTML=resp_vector[0];			
			document.getElementById("txtFreqSet").value=resp_vector[1];			
			document.getElementById("comboMode").value=resp_vector[2];	
			document.getElementById("txtMode").innerHTML=resp_vector[2];	
			document.getElementById("txtBW").innerHTML=resp_vector[3];	
			document.getElementById("txtStep").innerHTML=resp_vector[4];				
		}
	}	
	var mode=document.getElementById("comboMode").value;
	xmlhttp.open("GET","writepipe.php?q=GLOBALSET&v1="+freq+"&v2="+mode,true);
	xmlhttp.send();
}

</script>



<script>
var clockTimerVar=setInterval(function(){clockTimer()},1000);
function clockTimer()
{
   var d=new Date();
	var t_local=d.toLocaleTimeString();
	var t_utc=d.toUTCString();
	document.getElementById("txtLocalTime").innerHTML=t_local;
	document.getElementById("txtUtcTime").innerHTML=t_utc;
}
</script>

<!-- <audio class="stylePlayer" src="http://192.168.2.90:1412" autoplay preload="none">  --> 
	

<audio autoplay preload="none">
  <source src="http://<?php echo $_SERVER['SERVER_ADDR']?>:1412" type="audio/ogg">
  Your browser does not support the audio tag.
</audio>




</body>
</html>


